## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanUTF16Transcoder Class Reference

Inheritance diagram for XalanUTF16Transcoder:

[legend]
Collaboration diagram for XalanUTF16Transcoder:

[legend]
List of all members.

## Public Member Functions

- XalanUTF16Transcoder (MemoryManagerType &theManager)
- virtual ~XalanUTF16Transcoder ()
- virtual eCode transcode (const XalanDOMChar *theSourceData, size_type theSourceCount, XalanXMLByte *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed)
    Transcode data from UTF-16 to UTF-16.
- virtual eCode transcode (const XalanXMLByte *theSourceData, size_type theSourceCount, XalanDOMChar *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed, unsigned char *theCharSizes)
    Transcode data from UTF-16 to UTF-16.
- virtual bool canTranscodeTo (UnicodeCharType theChar) const

## Static Public Member Functions

- XalanUTF16Transcoder * create (MemoryManagerType &theManager)

## Constructor & Destructor Documentation

XalanUTF16Transcoder::XalanUTF16Transcoder | ( | MemoryManagerType & | theManager | ) | `[explicit]`

virtual XalanUTF16Transcoder::~XalanUTF16Transcoder | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XalanUTF16Transcoder::canTranscodeTo | ( | UnicodeCharType | theChar | ) | const`[virtual]`

| Implements XalanOutputTranscoder.

XalanUTF16Transcoder* XalanUTF16Transcoder::create | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual eCode XalanUTF16Transcoder::transcode | ( | const XalanXMLByte * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanDOMChar * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed,
|  | unsigned char * | theCharSizes
| ) | `[virtual]`

  | Transcode data from UTF-16 to UTF-16. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theResult | The error code, if any.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Implements XalanOutputTranscoder.

virtual eCode XalanUTF16Transcoder::transcode | ( | const XalanDOMChar * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanXMLByte * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed
| ) | `[virtual]`

  | Transcode data from UTF-16 to UTF-16. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theResult | The error code, if any.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Implements XalanOutputTranscoder.

The documentation for this class was generated from the following file:

- XalanUTF16Transcoder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.